Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# kruskalwallis

scipy.stats.mstats.kruskalwallis(*args)

  Compute the Kruskal-Wallis H-test for independent samples

  Parameters:
    sample1, sample2, …array_like

      Two or more arrays with the sample measurements can be given as arguments.

  Returns:
    statistic float

      The Kruskal-Wallis H statistic, corrected for ties

    pvalue float

      The p-value for the test using the assumption that H has a chi square distribution

  Notes

  For more details on `kruskal`, see `scipy.stats.kruskal`.

  Examples

      >>> from scipy.stats.mstats import kruskal

  Random samples from three different brands of batteries were tested to see how long the charge lasted. Results were as follows:

      >>> a = [6.3, 5.4, 5.7, 5.2, 5.0]
      >>> b = [6.9, 7.0, 6.1, 7.9]
      >>> c = [7.2, 6.9, 6.1, 6.5]

  Test the hypothesis that the distribution functions for all of the brands’ durations are identical. Use 5% level of significance.

      >>> kruskal(a, b, c)
      KruskalResult(statistic=7.113812154696133, pvalue=0.028526948491942164)

  The null hypothesis is rejected at the 5% level of significance because the returned p-value is less than the critical value of 5%.